Users
19 endpoints. Base URL https://api.paymentsonline.io, sandbox https://api.sandbox-paymentsonline.io.
Every request needs payments-api-key and payments-account.
/v1/auth/forgotForgot Password
Requests a temporary link be sent to the provided email address, allowing the User to reset their password.
Request body application/jsonrequired
emailstringrequiredEmail
Responses
200
/v1/auth/loginLogin
Creates a JSON Web Token.
Request body application/jsonrequired
emailstringrequiredEmail
passwordstringrequiredPassword
Responses
201LoginDto
refresh_tokenstringrequiredJSON Web Token used to refresh access tokens.
tokenstringrequiredJSON Web Token used for authentication (i.e. access token).
userUserrequiredThe logged in user.
401
/v1/auth/logoutLogout
Invalidates a User’s refresh token.
Responses
200
401
/v1/auth/refreshRefresh an Access Token
Generates a new access token with a User's refresh token.
Request body application/jsonrequired
refresh_tokenstringrequiredThe encrypted refresh token data.
Responses
200
400
/v1/auth/registerRegister
Creates a User and simultaneously creates a partner Account. Note: This endpoint should only be used in the Sandbox environment.
Request body application/jsonrequired
account_namestringoptionalThe business name or individual name.
emailstringrequiredEmail address
namestringrequiredFull name
parent_account_idstringoptionalID of the parent account associated with this registration.
passwordstringrequiredPassword. Requires 1 alphabetic and 1 numeric character and a minimum length of 7.
user_invitation_idstringoptionalID of the user invitation associated with this registration.
Responses
201RegisterDto
accountAccountrequiredThe created account (may be empty when registering via invitation)
tokenstringrequiredJSON Web Token used for authentication.
userUserrequiredThe created user.
403
/v1/auth/resetReset Password
Resets a User's password. Resetting the password will also invalidate the User's refresh token.
Request body application/jsonrequired
emailstringrequiredEmail address
passwordstringrequiredPassword. Requires 1 alphabetic and 1 numeric character and a minimum length of 7.
password_reset_tokenstringrequiredPassword reset token
Responses
200
400
/v1/user-invitationsList all User Invitations
Returns a list of User invitations. The User invitations are sorted with the most recently created appearing first.
Query parameters
offsetnumberoptionalThe (zero-based) offset of the first item in the collection to return.
limitnumberoptionalThe maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200PaginatedDto | object
has_morebooleanrequiredWhether or not there are more elements available after this set. If
false, this set comprises the end of the list.limitnumberoptionalThe maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.
offsetnumberoptionalThe (zero-based) offset of the first item in the collection to return.
totalnumberoptionalThe total items count.
itemsarray of UserInvitationrequired
/v1/user-invitationsCreate a User Invitation
Creates a User invitation. Upon creation, an invitation email is sent to the User’s email address. Once the User registers for an Account, the invitation is deleted.
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Request body application/jsonrequired
emailstringrequiredEmail address
email_templatestring (merchant_application | none | console_invitation)optionalThe type of email, if any, that should be sent to the new user. Defaults to
console_invitationif one is not provided.merchant_application"You've been invited by {partner name} to complete the setup of your payment processing account. To create your account and access your application follow the link below. {user invitation link}"noneNo email sent.console_invitation- For **merchant** accounts: "You have been invited to join *{{account name}}'s* payment processing account with *{{partner name}}*.<br><br> *{user invitation hyperlink button}*<br><br> You will gain access to the team's Dashboard, including information about payments, payouts, and more. The invitation link will expire in 7 days." --- - For **partner** accounts: "You have been invited to join *{{account name}}'s* payment processing account with *{{parent name}}*.<br><br> *{user invitation hyperlink button}*<br><br> You will gain access to the team's Dashboard, including information about merchants, payments, payouts, and more. The invitation link will expire in 7 days." --- - For **reseller** accounts: "You have been invited to join *{{account name}}'s* payment processing account.<br><br> *{user invitation hyperlink button}*<br><br> You will gain access to the team's Dashboard, including information about your software platforms, merchants, payments, and more. The invitation link will expire in 7 days."rolestring (owner | admin | developer | analyst | view_only | account_manager | merchant_owner | merchant_admin | …)requiredThe user's role, primarily used in the Paydude Dashboard. The roles have varied restrictions on the actions they can take.
adminBest for business owners and company administrators.developerBest for developers or people primarily using the Paydude API.analystBest for people who need full access to Paydude data, but don't need to update business settings.view_onlyBest for people who need to view Paydude data, but don't need to make any updates.account_managerBest for people who are responsible for managing existing merchant accounts.
Responses
201UserInvitation
account_idstringrequiredThe ID of the Account associated with this pending user.
created_atstring date-timerequiredTime at which the object was created.
emailstringrequiredThe pending user's email.
expires_atstring date-timerequiredTime at which the object will expire.
idstringrequiredUnique identifier for the object.
invitation_urlstringoptionalFrontend link for the user invitation.
inviter_user_idstringoptionalThe ID of the user who sent the invitation.
rolestring (owner | admin | developer | analyst | view_only | account_manager | merchant_owner | merchant_admin | …)requiredThe pending user's role, primarily used in the Paydude Dashboard. The roles have varied restrictions on the actions they can take.
sent_atstring date-timeoptionalTime at which the invitation was last sent.
updated_atstring date-timerequiredTime at which the object was last updated.
/v1/user-invitations/{id}Delete a User Invitation
Deletes a User invitation. This cannot be undone.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
204
/v1/user-invitations/{id}Get a User Invitation
Retrieves the details of an existing User invitation.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200UserInvitation
account_idstringrequiredThe ID of the Account associated with this pending user.
created_atstring date-timerequiredTime at which the object was created.
emailstringrequiredThe pending user's email.
expires_atstring date-timerequiredTime at which the object will expire.
idstringrequiredUnique identifier for the object.
invitation_urlstringoptionalFrontend link for the user invitation.
inviter_user_idstringoptionalThe ID of the user who sent the invitation.
rolestring (owner | admin | developer | analyst | view_only | account_manager | merchant_owner | merchant_admin | …)requiredThe pending user's role, primarily used in the Paydude Dashboard. The roles have varied restrictions on the actions they can take.
sent_atstring date-timeoptionalTime at which the invitation was last sent.
updated_atstring date-timerequiredTime at which the object was last updated.
/v1/user-invitations/{id}/resendResend a User Invitation
Resends an existing User invitation.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
201UserInvitation
account_idstringrequiredThe ID of the Account associated with this pending user.
created_atstring date-timerequiredTime at which the object was created.
emailstringrequiredThe pending user's email.
expires_atstring date-timerequiredTime at which the object will expire.
idstringrequiredUnique identifier for the object.
invitation_urlstringoptionalFrontend link for the user invitation.
inviter_user_idstringoptionalThe ID of the user who sent the invitation.
rolestring (owner | admin | developer | analyst | view_only | account_manager | merchant_owner | merchant_admin | …)requiredThe pending user's role, primarily used in the Paydude Dashboard. The roles have varied restrictions on the actions they can take.
sent_atstring date-timeoptionalTime at which the invitation was last sent.
updated_atstring date-timerequiredTime at which the object was last updated.
/v1/user-invitations/check/{id}Check a User Invitation
Checks for an existing User invitation.
Path parameters
idstringrequired
Responses
200UserInvitationCheck
emailstringrequiredThe pending user's email.
email_registeredbooleanoptionalIndicates if a user has already registered an account for this email address
external_invitation_idstringoptionalThe ID of the user invitation at the external auth provider if the account is configured to use one
idstringrequiredThe ID of the invitation.
inviter_emailstringoptionalThe email address of the user who sent the invitation.
partner_account_namestringoptionalThe name of the parent (ISV) account
/v1/usersList all Users
Returns a list of Users. The Users are sorted with the most recently created appearing first.
Query parameters
offsetnumberoptionalThe (zero-based) offset of the first item in the collection to return.
limitnumberoptionalThe maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.
include_connected_accountsbooleanoptionalWhether or not to include the results from any connected accounts.
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200PaginatedDto | object
has_morebooleanrequiredWhether or not there are more elements available after this set. If
false, this set comprises the end of the list.limitnumberoptionalThe maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.
offsetnumberoptionalThe (zero-based) offset of the first item in the collection to return.
totalnumberoptionalThe total items count.
itemsarray of Userrequired
/v1/usersCreate a User
Creates a User. Note: While the Create User endpoint has been un-deprecated for use cases requiring seamless authentication, we strongly encourage developers to utilize [User Invitations](https://docs.paymentsonline.io/api-reference#tag/users/POST/v1/user-invitations) for a more secure and user-friendly experience. User Invitations ensure email verification and allow users to set their own credentials, aligning with best practices for account management.
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Request body application/jsonrequired
emailstringrequiredEmail address
namestringrequiredFull name
passwordstringrequiredPassword. Requires 1 alphabetic and 1 numeric character and a minimum length of 7.
rolestring (owner | admin | developer | analyst | view_only | account_manager | merchant_owner | merchant_admin | …)requiredThe user's role, primarily used in the Paydude Dashboard. The roles have varied restrictions on the actions they can take.
adminBest for business owners and company administrators.developerBest for developers or people primarily using the Paydude API.analystBest for people who need full access to Paydude data, but don't need to update business settings.view_onlyBest for people who need to view Paydude data, but don't need to make any updates.account_managerBest for people who are responsible for managing existing merchant accounts.
Responses
201User
account_idstringrequiredIf this user is associated with multiple accounts then this value will be one of those accounts.
account_rolesarray of AccountRolerequiredThe user's role within a specific account.
created_atstring date-timerequiredTime at which the object was created.
emailstringrequiredThe user email.
email_settingsUserEmailSettingsrequiredUser email settings.
idstringrequiredUnique identifier for the object.
last_login_atstring date-timeoptionalTime at which the user last successfully logged in via the API.
last_request_atstring date-timeoptionalTime at which the user's token was last used to authenticate a request to the API.
namestringrequiredThe full name of the user.
rolestring (owner | admin | developer | analyst | view_only | account_manager | merchant_owner | merchant_admin | …)requiredIf this user is associated with multiple accounts then this value will be the role associated with the account_id property. The user's role, primarily used in the Paydude Dashboard. The roles have varied restrictions on the actions they can take.
updated_atstring date-timerequiredTime at which the object was last updated.
verification_codestringoptionalSix digit verification code of the user.
/v1/users/{id}Delete a User
Deletes a User from a specific Account. If this is the User's only Account, the User is permanently deleted. This cannot be undone.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
204object
/v1/users/{id}Get a User
Retrieves the details of an existing User.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200User
account_idstringrequiredIf this user is associated with multiple accounts then this value will be one of those accounts.
account_rolesarray of AccountRolerequiredThe user's role within a specific account.
created_atstring date-timerequiredTime at which the object was created.
emailstringrequiredThe user email.
email_settingsUserEmailSettingsrequiredUser email settings.
idstringrequiredUnique identifier for the object.
last_login_atstring date-timeoptionalTime at which the user last successfully logged in via the API.
last_request_atstring date-timeoptionalTime at which the user's token was last used to authenticate a request to the API.
namestringrequiredThe full name of the user.
rolestring (owner | admin | developer | analyst | view_only | account_manager | merchant_owner | merchant_admin | …)requiredIf this user is associated with multiple accounts then this value will be the role associated with the account_id property. The user's role, primarily used in the Paydude Dashboard. The roles have varied restrictions on the actions they can take.
updated_atstring date-timerequiredTime at which the object was last updated.
verification_codestringoptionalSix digit verification code of the user.
/v1/users/{id}Update a User
Updates a User by setting the values of the provided parameters. Any parameters not provided remain unchanged.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Request body application/jsonrequired
emailstringoptionalEmail address
email_settingsUserEmailSettingsUpdateParamsoptionalUser email settings
namestringoptionalFull name
rolestring (owner | admin | developer | analyst | view_only | account_manager | merchant_owner | merchant_admin | …)optionalThe user's role, primarily used in the Paydude Dashboard. The roles have varied restrictions on the actions they can take.
adminBest for business owners and company administrators.developerBest for developers or people primarily using the Paydude API.analystBest for people who need full access to Paydude data, but don't need to update business settings.view_onlyBest for people who need to view Paydude data, but don't need to make any updates.account_managerBest for people who are responsible for managing existing merchant accounts.
Responses
200User
account_idstringrequiredIf this user is associated with multiple accounts then this value will be one of those accounts.
account_rolesarray of AccountRolerequiredThe user's role within a specific account.
created_atstring date-timerequiredTime at which the object was created.
emailstringrequiredThe user email.
email_settingsUserEmailSettingsrequiredUser email settings.
idstringrequiredUnique identifier for the object.
last_login_atstring date-timeoptionalTime at which the user last successfully logged in via the API.
last_request_atstring date-timeoptionalTime at which the user's token was last used to authenticate a request to the API.
namestringrequiredThe full name of the user.
rolestring (owner | admin | developer | analyst | view_only | account_manager | merchant_owner | merchant_admin | …)requiredIf this user is associated with multiple accounts then this value will be the role associated with the account_id property. The user's role, primarily used in the Paydude Dashboard. The roles have varied restrictions on the actions they can take.
updated_atstring date-timerequiredTime at which the object was last updated.
verification_codestringoptionalSix digit verification code of the user.
/v1/users/{id}/reset-mfaReset User MFA Enrollments
Resets a User's MFA enrollments if they have any registered. This action cannot be undone and the user will be prompted to re-enroll a MFA factor upon their next login.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Request body application/jsonrequired
verification_detailsstringrequiredDescrition of the verification steps taken to confirm the identity of the user before resetting their MFA enrollments. This field is required and cannot be empty. It will be recorded along with the user performing the reset action for auditing purposes.
Responses
201
/v1/users/{id}/unlockUnlock a User
Unlocks a User's account that has been locked due to too many failed login attempts.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
201
